Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1361806 - Review Request: python-marrow-mailer - A light-weight modular mail delivery framework for Python
Summary: Review Request: python-marrow-mailer - A light-weight modular mail delivery f...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Charalampos Stratakis
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-30 17:36 UTC by Lumír Balhar
Modified: 2016-08-18 03:51 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-18 03:51:31 UTC
cstratak: fedora-review+


Attachments (Terms of Use)

Description Lumír Balhar 2016-07-30 17:36:21 UTC
Spec URL: https://lbalhar.fedorapeople.org/python-marrow-mailer.spec
SRPM URL: https://lbalhar.fedorapeople.org/python-marrow-mailer-4.0.1-1.fc24.src.rpm

Description: A highly efficient and modular mail delivery framework for \                                                                                                                                          
Python 2.6+ and 3.2+, formerly called TurboMail.

Fedora Account System Username:lbalhar

PR to fix Python 3 compatibility and add license and readme to package: https://github.com/marrow/mailer/pull/67

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=15077503

Comment 1 Charalampos Stratakis 2016-08-08 09:39:02 UTC
python2 version of the module should have runtime requirement for python2-futures

Comment 2 Lumír Balhar 2016-08-08 10:43:09 UTC
Thank you for comment. Updated specfile and SRPM are available on same URLs.

Comment 3 Charalampos Stratakis 2016-08-08 11:52:07 UTC
fedora-review output using rawhide as mock build.
===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines. (Note: MIT license)
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 45 files have unknown license. Detailed
     output of licensecheck in licensecheck.txt (note: the rpm is packaged with the MIT license, which also applies for these files)
[x]: License file installed when any subpackage combination is installed.
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/lib/python2.7/site-
     packages/marrow(python2-marrow-util, python2-marrow-mailer),
     /usr/lib/python3.5/site-packages/marrow(python3-marrow-mailer, python3
     -marrow-util)
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 61440 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it. (note: Packager has already notified upstream)
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in python2
     -marrow-mailer , python3-marrow-mailer
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified. (note: pull request from packager to upstream, for Python 3 compatibility, still not merged, patch included in the package)
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-marrow-mailer-4.0.1-1.fc26.noarch.rpm
          python3-marrow-mailer-4.0.1-1.fc26.noarch.rpm
          python-marrow-mailer-4.0.1-1.fc26.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
2 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
python3-marrow-mailer (rpmlib, GLIBC filtered):
    python(abi)
    python3-marrow-util
    python3-setuptools

Note: fedora-review doesn't show the version of the python-(abi) requirements, but doing an "rpm -qp -- requires <resulting rpm>" we get the versions which is 3.5 for the python3 module and 2.7 for the python2 one.

python2-marrow-mailer (rpmlib, GLIBC filtered):
    python(abi)
    python-futures
    python2-marrow-util
    python2-setuptools



Provides
--------
python3-marrow-mailer:
    python3-marrow-mailer
    python3.5dist(marrow.mailer)

python2-marrow-mailer:
    python-marrow-mailer
    python2-marrow-mailer
    python2.7dist(marrow.mailer)



Source checksums
----------------
https://raw.githubusercontent.com/marrow/mailer/master/README.textile :
  CHECKSUM(SHA256) this package     : 282d63d056b8ef1ed5ffbee31a79cb217305b0805df466329c20552bf1ee438d
  CHECKSUM(SHA256) upstream package : 282d63d056b8ef1ed5ffbee31a79cb217305b0805df466329c20552bf1ee438d
https://files.pythonhosted.org/packages/source/m/marrow.mailer/marrow.mailer-4.0.1.tar.gz :
  CHECKSUM(SHA256) this package     : be2b26c14267065de89ae78f34561ea11cab6cbf0b26d443fde122ebe85c0d3c
  CHECKSUM(SHA256) upstream package : be2b26c14267065de89ae78f34561ea11cab6cbf0b26d443fde122ebe85c0d3c
https://raw.githubusercontent.com/marrow/mailer/master/LICENSE.txt :
  CHECKSUM(SHA256) this package     : 7e8d19ca8828766fbb1953abbd49f3fb39a3ef7a9fc4063b0cddf33d99c1fffe
  CHECKSUM(SHA256) upstream package : 7e8d19ca8828766fbb1953abbd49f3fb39a3ef7a9fc4063b0cddf33d99c1fffe


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1361806 -m fedora-rawhide-x86_64 -v
Buildroot used: fedora-rawhide-x86_64

Comment 4 Charalampos Stratakis 2016-08-08 12:04:27 UTC
Also built in mock and tested. It imports in python (or python3) with "import marrow". 

Some basic usage can be seen here [0]. In order for the package to function correctly you need to set a mail server daemon at your system (e.g. postfix).


[0] https://github.com/marrow/mailer#3-basic-usage

Package accepted.

Comment 5 Gwyn Ciesla 2016-08-08 17:47:01 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/python-marrow-mailer

Comment 6 Fedora Update System 2016-08-08 19:14:46 UTC
python-marrow-mailer-4.0.1-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-eafaa37cd8

Comment 7 Fedora Update System 2016-08-09 08:51:06 UTC
python-marrow-mailer-4.0.1-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-eafaa37cd8

Comment 8 Fedora Update System 2016-08-18 03:51:28 UTC
python-marrow-mailer-4.0.1-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.